Cyberduck Mountain Duck CLI

#6482 closed defect (fixed)

Incorrect password cached for PuTTY private key

Reported by: Motherboard Owned by: yla
Priority: normal Milestone: 4.3
Component: sftp Version: 4.2.1
Severity: normal Keywords: SFTP passphrase public key
Cc: Architecture: Intel
Platform: Windows 7

Description (last modified by Motherboard)

The error only appears to affect PuTTY private keys (e.g., .ppk) and does not affect OpenSSH keys.

Please repeat the process described below using an encrypted PuTTY private key.

ORIGINAL ERROR DESCRIPTION:


This error occurs on both Windows and Mac.

Here are the steps to reproduce this error:

  1. Create a new SFTP bookmark in Cyberduck that uses a private key that is encrypted with a passphrase.
  2. Double-click the bookmark to connect.
  3. When prompted for the passphrase, enter the wrong passphrase and click the "Save password" checkbox.

The passphrase login will disappear, the user will not connect to the SFTP server and the user will not be prompted to re-enter their passphrase. If you double-click the bookmark again, an additional SFTP session is spawned but there is no opportunity to re-renter the passphrase (i.e. the passphrase prompt does not reappear).

What should occur is that the user should be re-prompted for the correct passphrase.

The workaround is to close Cyberduck, reopen it, and then Cyberduck will give the user an opportunity to re-enter the passphrase.

Attachments (1)

SSH Key Passphrase Prompt.png (51.4 KB) - added by dkocher on Jun 15, 2012 at 12:44:32 PM.

Download all attachments as: .zip

Change History (11)

comment:1 Changed on May 9, 2012 at 11:12:54 AM by dkocher

  • Component changed from core to sftp
  • Milestone set to 4.3
  • Owner set to dkocher

comment:2 Changed on Jun 15, 2012 at 12:43:42 PM by dkocher

I cannot replicate this issue. As long as the passphrase is wrong you are prompted to enter it again.

comment:3 Changed on Jun 15, 2012 at 12:44:46 PM by dkocher

No image "SSH Key Passphrase Prompt" attached to Ticket #6482

Version 0, edited on Jun 15, 2012 at 12:44:46 PM by dkocher (next)

comment:4 Changed on Jun 15, 2012 at 12:45:12 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

comment:5 Changed on Nov 28, 2012 at 8:49:45 PM by Motherboard

  • Description modified (diff)
  • Platform changed from Mac OS X 10.7 to Windows 7
  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:6 Changed on Nov 29, 2012 at 9:41:20 PM by dkocher

Can you reproduce this issue with the latest snapshot build available?

comment:7 Changed on Nov 30, 2012 at 12:16:19 AM by Motherboard

Yes, it is reproducible on the latest snapshot build (4.2.2). OpenSSH keys work fine but PuTTY keys consistently produce the error.

comment:8 Changed on Nov 30, 2012 at 2:25:03 PM by dkocher

  • Milestone changed from 4.3 to 4.2.2
  • Owner changed from dkocher to yla
  • Status changed from reopened to new

comment:9 Changed on Dec 15, 2012 at 2:12:26 PM by yla

  • Resolution set to fixed
  • Status changed from new to closed

In r10655.

comment:10 Changed on Dec 20, 2012 at 3:25:42 PM by dkocher

  • Summary changed from Incorrect password for SFTP private key cached for session to Incorrect password cached for PuTTY private key
Note: See TracTickets for help on using tickets.
swiss made software